import request from '@/utils/request'

// 查询用户守护累计列表
export function listGuardTotal(query) {
  return request({
    url: '/cai/guardTotal/list',
    method: 'get',
    params: query
  })
}

// 查询用户守护累计详细
export function getGuardTotal(id) {
  return request({
    url: '/cai/guardTotal/' + id,
    method: 'get'
  })
}

// 新增用户守护累计
export function addGuardTotal(data) {
  return request({
    url: '/cai/guardTotal',
    method: 'post',
    data: data
  })
}

// 修改用户守护累计
export function updateGuardTotal(data) {
  return request({
    url: '/cai/guardTotal',
    method: 'put',
    data: data
  })
}

// 删除用户守护累计
export function delGuardTotal(id) {
  return request({
    url: '/cai/guardTotal/' + id,
    method: 'delete'
  })
}
